Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers
Interface DataDefinitionProviderInterface

All Known Implementing Classes:
  DataDefinitionProvider, MakumbaDataDefinitionFactory

    public interface DataDefinitionProviderInterface

Method Summary
`DataDefinition` | `getDataDefinition(String typeName)` Gets the data definition defined by the given type.
`Vector<String>` | `getDataDefinitionsInDefaultLocations()` gives a list of data definitions in the default locations of the data definition provider
`Vector<String>` | `getDataDefinitionsInDefaultLocations(String... ignoreList)` gives a list of data definitions in the default locations of the data definition provider, ignoring those MDDs that start with any of the strings in the ignoreList
`Vector<String>` | `getDataDefinitionsInLocation(String location)` gives a list of data definitions in a given location
`DataDefinition` | `getVirtualDataDefinition(String name)` Gets a virtual data definition
`FieldDefinition` | `makeFieldDefinition(String name, String definition)` makes a field definition from the indicated string FIXME this is particular to mdds
`FieldDefinition` | `makeFieldOfType(String name, String type)` makes a field definition with the elementary type
`FieldDefinition` | `makeFieldOfType(String name, String type, String description)` makes a field definition identical with the given one, except for the name
`FieldDefinition` | `makeFieldWithName(String name, FieldDefinition type)` makes a field definition with the elementary type
`FieldDefinition` | `makeFieldWithName(String name, FieldDefinition type, String description)` makes a field definition identical with the given one, except for the name and the description

Method Detail

### getDataDefinition

    DataDefinition getDataDefinition(String typeName)

  Gets the data definition defined by the given type.

### getVirtualDataDefinition

    DataDefinition getVirtualDataDefinition(String name)

  Gets a virtual data definition

  Parameters:
    `name` - the name of the virtual data definition
  Returns:
    a virtual data definition, representing e.g. a query result

### makeFieldDefinition

    FieldDefinition makeFieldDefinition(String name,
                                        String definition)

  makes a field definition from the indicated string FIXME this is particular to mdds

  Parameters:
    `name` - the name of the field
    `definition` - the definition string
  Returns:
    a field definition built on a definition string

### makeFieldOfType

    FieldDefinition makeFieldOfType(String name,
                                    String type)

  makes a field definition with the elementary type

  Parameters:
    `name` - the name of the field
    `type` - the type of the field
  Returns:
    a field definition generated by the name and the type of the field

### makeFieldOfType

    FieldDefinition makeFieldOfType(String name,
                                    String type,
                                    String description)

  makes a field definition identical with the given one, except for the name

  Parameters:
    `name` - the name of the field
    `type` - the FieldDefinition used as model
  Returns:
    a copy of the initial field definition with a different name

### makeFieldWithName

    FieldDefinition makeFieldWithName(String name,
                                      FieldDefinition type)

  makes a field definition with the elementary type

  Parameters:
    `name` - the name of the field
    `type` - the elementary type of the field
    `description` - the description of the field
  Returns:
    a field definition generated by the name, type and description of the field

### makeFieldWithName

    FieldDefinition makeFieldWithName(String name,
                                      FieldDefinition type,
                                      String description)

  makes a field definition identical with the given one, except for the name and the description

  Parameters:
    `name` - the name of the field
    `type` - the FieldDefinition used as model
    `description` - the description of the field
  Returns:
    a copy of the initial field definition with a different name and description

### getDataDefinitionsInLocation

    Vector<String> getDataDefinitionsInLocation(String location)

  gives a list of data definitions in a given location

  Parameters:
    `location` - the location where the data definitions should be
  Returns:
    a vector with references to the data definitions in the location

### getDataDefinitionsInDefaultLocations

    Vector<String> getDataDefinitionsInDefaultLocations()

  gives a list of data definitions in the default locations of the data definition provider

  Returns:
    a vector with references to the data definitions in the default locations of the data definition provider

### getDataDefinitionsInDefaultLocations

    Vector<String> getDataDefinitionsInDefaultLocations(String... ignoreList)

  gives a list of data definitions in the default locations of the data definition provider, ignoring those MDDs that start with any of the strings in the ignoreList

  Parameters:
    `ignoreList` - a list of prefixes for MDDs to be ignored
  Returns:
    a vector with references to the data definitions in the default locations of the data definition provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20